javax.security.cert

## Class CertificateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.cert.CertificateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CertificateEncodingException, CertificateExpiredException, CertificateNotYetValidException, CertificateParsingException

    public class CertificateException
    extends Exception

This exception indicates one of a variety of certificate problems.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  `Certificate`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CertificateException()` Constructs a certificate exception with no detail message.
`CertificateException(String msg)` Constructs a certificate exception with the given detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CertificateException

    public CertificateException()

Constructs a certificate exception with no detail message. A detail message is a String that describes this particular exception.

#### CertificateException

    public CertificateException(String msg)

Constructs a certificate exception with the given detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.